summaryrefslogtreecommitdiffstats
path: root/source/n/mcabber
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/mcabber')
-rwxr-xr-xsource/n/mcabber/mcabber.SlackBuild18
-rw-r--r--source/n/mcabber/slack-desc10
2 files changed, 18 insertions, 10 deletions
diff --git a/source/n/mcabber/mcabber.SlackBuild b/source/n/mcabber/mcabber.SlackBuild
index bef6c821b..35468c8f9 100755
--- a/source/n/mcabber/mcabber.SlackBuild
+++ b/source/n/mcabber/mcabber.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mcabber
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -37,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -78,7 +86,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
diff --git a/source/n/mcabber/slack-desc b/source/n/mcabber/slack-desc
index e8cfe6653..2f3c5ad0c 100644
--- a/source/n/mcabber/slack-desc
+++ b/source/n/mcabber/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
mcabber: mcabber (Jabber console client)
mcabber:
mcabber: mcabber is a small Jabber console client for Linux, maintained by
-mcabber: Mikael Berthe. Mcabber includes features such as SSL support,
+mcabber: Mikael Berthe. Mcabber includes features such as SSL support,
mcabber: multi-user chat (MUC), history logging, commands completion, and
mcabber: external actions triggers.
mcabber:
-mcabber: mcabber project home is: http://www.lilotux.net/~mikael/mcabber/
+mcabber: mcabber project home is: http://www.lilotux.net/~mikael/mcabber/
mcabber:
mcabber:
mcabber: